org.wildfly.swarm.mail

## Class MailFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.Mail<MailFraction>
      - - org.wildfly.swarm.mail.MailFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<MailFraction>

      public class MailFraction
      extends Mail<MailFraction>
      implements Fraction<MailFraction>

  Author:
    Ken Finnigan
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.Mail

      `Mail.MailResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MailFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static MailFraction` | `defaultFraction()`
    `MailFraction` | `mailSession(String key, EnhancedMailSessionConsumer consumer)`
    `MailFraction` | `smtpServer(String key, EnhancedSMTPServerConsumer consumer)`

    - ### Methods inherited from class org.wildfly.swarm.config.Mail

      `addPropertyChangeListener, getKey, mailSession, mailSession, mailSession, mailSession, mailSessions, removePropertyChangeListener, subresources`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### MailFraction

          public MailFraction()

  - ### Method Detail

    - #### defaultFraction

          public static MailFraction defaultFraction()

    - #### applyDefaults

          public MailFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<MailFraction>`
      Returns:
        this fraction.

    - #### mailSession

          public MailFraction mailSession(String key,
                                          EnhancedMailSessionConsumer consumer)

    - #### smtpServer

          public MailFraction smtpServer(String key,
                                         EnhancedSMTPServerConsumer consumer)

Copyright © 2018 JBoss by Red Hat. All rights reserved.